- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | Friends | List of all members
RagTime5Spreadsheet Class Reference

the main class to read the spreadsheet part of RagTime 56 file More...

`#include <RagTime5Spreadsheet.hxx>`

## Public Member Functions
| RagTime5Spreadsheet (RagTime5Parser &parser)
| constructor More...
virtual | ~RagTime5Spreadsheet ()
| destructor More...
int | version () const
| returns the file version More...
int | numPages () const
| returns the number of pages More...

## Protected Member Functions
void | flushExtra ()
| sends the data which have not yet been sent to the listener More...
bool | readSpreadsheetCluster (RagTime5Zone &zone, int zoneType)
| try to read a spreadsheet cluster More...
bool | readChartCluster (RagTime5Zone &zone, int zoneType)
| try to read a chart cluster More...
bool | readUnknownZone1 (RagTime5Zone &zone, RagTime5ClusterManager::Link const &link)
| try to read a spreadsheet unknown zone 1 More...
bool | readUnknownZone2 (RagTime5Zone &zone, RagTime5ClusterManager::Link const &link)
| try to read a spreadsheet unknown zone 2 More...
bool | readUnknownZone3 (RagTime5Zone &zone, RagTime5ClusterManager::Link const &link)
| try to read a spreadsheet unknown zone 3 More...
bool | readUnknownZone4 (RagTime5Zone &zone, RagTime5ClusterManager::Link const &link)
| try to read a spreadsheet unknown zone 4 More...

## Protected Attributes
RagTime5Parser & | m_mainParser
| the parser More...
shared_ptr< RagTime5StructManager > | m_structManager
| the structure manager More...
MWAWParserStatePtr | m_parserState
| the parser state More...
shared_ptr< RagTime5SpreadsheetInternal::State > | m_state
| the state More...

## Private Member Functions
| RagTime5Spreadsheet (RagTime5Spreadsheet const &orig)
RagTime5Spreadsheet & | operator= (RagTime5Spreadsheet const &orig)

## Friends
class | RagTime5SpreadsheetInternal::SubDocument
class | RagTime5Parser

## Detailed Description

the main class to read the spreadsheet part of RagTime 56 file

## Constructor & Destructor Documentation

RagTime5Spreadsheet::RagTime5Spreadsheet | ( | RagTime5Parser & | parser | ) |

constructor

RagTime5Spreadsheet::~RagTime5Spreadsheet | ( |  | ) |
| virtual

destructor

RagTime5Spreadsheet::RagTime5Spreadsheet | ( | RagTime5Spreadsheet const & | orig | ) |
| private

## Member Function Documentation

void RagTime5Spreadsheet::flushExtra | ( |  | ) |
| protected

sends the data which have not yet been sent to the listener

int RagTime5Spreadsheet::numPages | ( |  | ) | const

returns the number of pages

RagTime5Spreadsheet& RagTime5Spreadsheet::operator= | ( | RagTime5Spreadsheet const & | orig | ) |
| private

bool RagTime5Spreadsheet::readChartCluster | ( | RagTime5Zone & | zone,
|  | int | zoneType
| ) |  |
| protected

try to read a chart cluster

bool RagTime5Spreadsheet::readSpreadsheetCluster | ( | RagTime5Zone & | zone,
|  | int | zoneType
| ) |  |
| protected

try to read a spreadsheet cluster

bool RagTime5Spreadsheet::readUnknownZone1 | ( | RagTime5Zone & | zone,
|  | RagTime5ClusterManager::Link const & | link
| ) |  |
| protected

try to read a spreadsheet unknown zone 1

Referenced by readSpreadsheetCluster().

bool RagTime5Spreadsheet::readUnknownZone2 | ( | RagTime5Zone & | zone,
|  | RagTime5ClusterManager::Link const & | link
| ) |  |
| protected

try to read a spreadsheet unknown zone 2

Referenced by readSpreadsheetCluster().

bool RagTime5Spreadsheet::readUnknownZone3 | ( | RagTime5Zone & | zone,
|  | RagTime5ClusterManager::Link const & | link
| ) |  |
| protected

try to read a spreadsheet unknown zone 3

Referenced by readSpreadsheetCluster().

bool RagTime5Spreadsheet::readUnknownZone4 | ( | RagTime5Zone & | zone,
|  | RagTime5ClusterManager::Link const & | link
| ) |  |
| protected

try to read a spreadsheet unknown zone 4

Referenced by readSpreadsheetCluster().

int RagTime5Spreadsheet::version | ( |  | ) | const

returns the file version

## Friends And Related Function Documentation

friend class RagTime5Parser
| friend

friend class RagTime5SpreadsheetInternal::SubDocument
| friend

## Member Data Documentation

RagTime5Parser& RagTime5Spreadsheet::m_mainParser
| protected

the parser

Referenced by readChartCluster(), and readSpreadsheetCluster().

MWAWParserStatePtr RagTime5Spreadsheet::m_parserState
| protected

the parser state

Referenced by version().

shared_ptr<RagTime5SpreadsheetInternal::State> RagTime5Spreadsheet::m_state
| protected

the state

shared_ptr<RagTime5StructManager> RagTime5Spreadsheet::m_structManager
| protected

the structure manager

The documentation for this class was generated from the following files:

- RagTime5Spreadsheet.hxx
- RagTime5Spreadsheet.cxx